'Temporarily saved' and 'Awaiting approval' products cannot be modified.
Path
PUT
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/partial
Example Endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/30100208559/partial
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| sellerProductId | O | String |
Registered product ID Registered product ID displayed once product is created. |
||||
Body Parameter
| Name | Required | Type | Description | ||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| sellerProductId | O | Number |
Registered product ID
Registered product ID displayed once product is created (data)
|
||||||||||||||||
| companyContactNumber | String |
Return location contact number
Check after registering return location via Coupang WING or return location creation API.
|
|||||||||||||||||
| deliveryCharge | Number | Standard shipping fee
Enter one-way delivery fee value in the case of paid shipping or conditional free shipping.
|
|||||||||||||||||
| deliveryChargeOnReturn | Number | Initial shipping fee on return
Return shipping fee paid by customer for free delivery.
|
|||||||||||||||||
| deliveryChargeType | String | Delivery fee type
● For free delivery:
● For paid delivery:
set up amount for standard shipping fee[deliveryCharge] and return shipping fee (one-way) ● For conditional free delivery: set up amount for standard shipping fee and return shipping fee (one-way) ● For fee on arrival: Categories applicable for fee on arrival are predefined and shared with seller support center to guide vendors. ※ For [CONDITIONAL_FREE], you may freely set a conditional amount.
|
|||||||||||||||||
| deliveryCompanyCode | String | Courier code
|
|||||||||||||||||
| deliveryMethod | String |
Delivery method
“INSTRUCTURE” and “MAKE_ORDER_DIRECT” has been combined to “VENDOR_DIRECT”.
|
|||||||||||||||||
| extraInfoMessage | String | Message with information on made to orders Message to be displayed when customer selects delivery type "made to order". |
|||||||||||||||||
| freeShipOverAmount | Number |
Conditional amount for free delivery
● Ex) if you want to set condition of at least 10,000 won for free delivery, set [deliveryChargeType] to 'CONDITIONAL_FREE' and input 10000 for [freeShipOverAmount].
※ can only input in 100 won units or more
※ input 0 for free delivery |
|||||||||||||||||
| outboundShippingPlaceCode | Number | Shipping location address code
Mandatory when selecting bundled delivery. Check by using shipping location query API.
|
|||||||||||||||||
| outboundShippingTimeDay | Number | Outbound shipping days (day)
Enter the expected shipping date (in days) for delivery after the order date (D-Day). (Enter "1" for same-day shipping. Enter "1" for next-day (D+1) shipping.)
|
|||||||||||||||||
| sameDayShipping | Object | Same-day shipping configuration | |||||||||||||||||
| sameDayShipping.active | Boolean | Whether same-day shipping is enabled | |||||||||||||||||
| sameDayShipping.cutOffTimeHour | Integer | Same-day shipping order cutoff is 10:00 to 23:00. | |||||||||||||||||
sameDayShipping.cutOffTimeMinute |
Integer | Cutoff time minute. Must be 0 when active=true |
|||||||||||||||||
sameDayShipping.cutOffTimeZone |
String |
System-managed, defaults to "KR" when active=true. |
|||||||||||||||||
| pccNeeded | Boolean |
PCC(personal customs clearance code) required or not
Whether PCC is required for overseas purchasing agency.
- default value: not required (false)
|
|||||||||||||||||
| remoteAreaDeliverable | String |
Remote area delivery possible or not
|
|||||||||||||||||
| returnAddress | String |
Return location address소 Check on Coupang Wing or by registering return location through return location query API
|
|||||||||||||||||
| returnAddressDetail | String | Return location detail address
Check on Coupang Wing or by registering Return location through return location query API
|
|||||||||||||||||
| returnCenterCode | String | Return location center code
Extract and input return location center code after creating return location.
● return location can be created through WING or return location creation API. ● if you are unable to create return location, input "NO_RETURN_CENTERCODE" to manually add return location info. ※ Auto return integration service (Goodsflow) is available only if you have a contracted courier. Return location center code is mandatory.
|
|||||||||||||||||
| returnCharge | Number | Return shipping fee
One-way delivery fee for picking up return.
|
|||||||||||||||||
| returnChargeName | String | Return location name
Check on Coupang Wing or by registering return location through Return location query API.
|
|||||||||||||||||
| returnZipCode | String | Return location postal code
Check on Coupang Wing or by registering return location through return location query API.
|
|||||||||||||||||
| unionDeliveryType | String |
Bundled delivery possible or not
※ Condition for bundled delivery: |
|||||||||||||||||
Request Example
{
"sellerProductId": 30100201234,
"deliveryMethod": "SEQUENCIAL",
"deliveryCompanyCode": "HYUNDAI",
"deliveryChargeType": "CONDITIONAL_FREE",
"deliveryCharge": 2500,
"freeShipOverAmount": 10000,
"deliveryChargeOnReturn": 0,
"remoteAreaDeliverable": "N",
"unionDeliveryType": "UNION_DELIVERY",
"returnCenterCode": "1000274592",
"returnChargeName": "반품지명_1",
"companyContactNumber": "02-123-1234",
"returnZipCode": "15200",
"returnAddress": "서울특별시 송파구 송파대로 12길",
"returnAddressDetail": "123호",
"returnCharge": 2500,
"outboundShippingPlaceCode": 63714,
"extraInfoMessage": "",
"pccNeeded": false,
"outboundShippingTimeDay":, 2
}Since none of the fields except for sellerProductId are mandatory, you may freely enter data for only the ones you want to and modify.
{
"sellerProductId": 30100208559,
"deliveryCharge": 3000
}Response Message
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | String |
result code
SUCCES/ERROR
|
||||
| message | String | message |
||||
| data | Long |
registered productID
=sellerProductId
|
||||
Response Example
{
"code": "200",
"message": "",
"data": {
"code": "SUCCESS",
"message": "",
"data": 30100201234
}
}Error Spec
| HTTP status code (error type) |
Error message | Solution |
|---|---|---|
| 400 | Recheck seller product ID. | Check if sellerProductId in url path and sellerProductId in request body are identical. |
| 400 | Must input seller product ID. | Check if you've entered sellerProductId in requestBody. |
| 400 | Registered product ID [xxxxxx] does not exist. | Check if you've entered a sellerProductId that does not exist. |
| 400 | Cannot change deleted product. | Check if product was deleted. |
| 400 | Cannot change product that is awaiting approval. | Check if product status is 'awaiting approval'. |
| 400 | Cannot change product that is in process of being created. | Check if product status is 'temporarily being saved'. |
| 500 | Failed to modify product. Please contact Coupang. | Contact Coupang through online inquiry for unexpected system errors. |
URL API Name
UPDATE_PARTIAL_PRODUCT